[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ExtensionSeparator

Character which separates the filename from the file extension.

## Declaration

Source position: sysunixh.inc line 33

`const ExtensionSeparator = '.';`

## Description

ExtensionSeparator is the character which separates the filename from the file extension. On all current platforms, this is the . (dot) character. All RTL filename handling routines use this constant.

## See also

PathSeparator |  | Character used to separate paths in a search list
DriveSeparator |  | Character used to separate directory parts.
AllowDirectorySeparators |  | Set of characters considered directory separators
AllowDriveSeparators |  | Set of characters considered drive separators